> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get banks

> This endpoint allows you to retrieve supported banks.



## OpenAPI

````yaml openapi.json get /banks
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /banks:
    get:
      tags:
        - Miscellaneous
      summary: Get banks
      description: This endpoint allows you to retrieve supported banks.
      operationId: getBanks
      parameters:
        - name: currency
          in: query
          required: true
          description: Filter banks by currency code
          schema:
            type: string
            enum:
              - NGN
            example: ngn
      responses:
        '200':
          description: Banks fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBanksResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetBanksResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Banks fetched successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-09T17:13:01.632Z'
        data:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: Bank name
                example: Access Bank
              code:
                type: string
                description: Bank code
                example: '000014'
              icon:
                type: string
                description: Bank icon
                example: https://api.bread.africa/assets/banks/access-bank.png
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````